## digikam 2.3.0

=== CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2010-12-11
# @brief  digiKam Software Collection
#
# @author Copyright (C) 2010-2011 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(digikam-sc)

IF(KDE4_BUILD_TESTS)
    INCLUDE(CTest)
    ENABLE_TESTING()
ENDIF(KDE4_BUILD_TESTS)
FIND_PACKAGE(KDE4 REQUIRED)

# Added for the po/ folder 
set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)

# If building for KDE<4.6.95, we need to build some parts of KDE-graphics
# by ourselves, because we depend on newer versions. If you want
# to force building of these libraries, specify -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS:BOOL=1
# as an argument to CMake.
IF(NOT DEFINED DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS)
    IF(${KDE_VERSION} VERSION_LESS "4.6.95")
        SET(DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS 1)
    ELSE()
        SET(DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS 0)
    ENDIF()
ENDIF()

# Make sure that the FindXXX modules of the local libraries are found
IF(${DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS})
    # prepend our own FindXXX modules to CMAKE_MODULE_PATH
    SET(CMAKE_MODULE_PATH
            ${CMAKE_SOURCE_DIR}/extra/libkexiv2/cmake/modules
            ${CMAKE_SOURCE_DIR}/extra/libkdcraw/cmake/modules
            ${CMAKE_MODULE_PATH}
        )
ENDIF()

# prepend our own FindXXX modules to CMAKE_MODULE_PATH
SET(CMAKE_MODULE_PATH
        ${CMAKE_SOURCE_DIR}/extra/libkgeomap/cmake/modules
        ${CMAKE_SOURCE_DIR}/extra/libmediawiki/cmake/modules
        ${CMAKE_SOURCE_DIR}/extra/libkface/cmake/modules
        ${CMAKE_SOURCE_DIR}/extra/libkvkontakte/cmake/modules
        ${CMAKE_SOURCE_DIR}/cmake/modules
        ${CMAKE_MODULE_PATH}
    )

IF(${DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS})
    SET(KIPI_LOCAL_DIR extra/libkipi)
    SET(KEXIV2_LOCAL_DIR extra/libkexiv2)
    SET(KDCRAW_LOCAL_DIR extra/libkdcraw)
    SET(KSANE_LOCAL_DIR extra/libksane)
ENDIF()

SET(KFACE_LOCAL_DIR extra/libkface)
SET(KGEOMAP_LOCAL_DIR extra/libkgeomap)
SET(MEDIAWIKI_LOCAL_DIR extra/libmediawiki)
SET(KVKONTAKTE_LOCAL_DIR extra/libkvkontakte)

ADD_SUBDIRECTORY(extra)
ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(doc)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== core/CMakeLists.txt ===

PROJECT(digikam)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: digikam")

OPTION(ENABLE_SCRIPTIFACE      "Build digiKam with experimental scripting support (default=OFF)" OFF)
OPTION(ENABLE_THUMBS_DB        "Build digiKam with thumbnails database support (default=ON)"     ON)
OPTION(ENABLE_INTERNALMYSQL    "Look for MySQL server executable at build time (default=ON)"     ON)
OPTION(ENABLE_ADVANCEDDEBUGMSG "Build digiKam with more internal debug message (default=OFF)"    OFF)
OPTION(ENABLE_NEPOMUKSUPPORT   "Build digiKam with Nepomuk support (default=ON)"                 ON)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
SET(DIGIKAM_MAJOR_VERSION "2")
SET(DIGIKAM_MINOR_VERSION "3")
SET(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
SET(DIGIKAM_RELEASE_DATE "2011-11-06")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
SET(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

SET(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

SET(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Path to find FindPGF.cmake script.
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.
SET(AREA_CODE_GENERAL        "50003")
SET(AREA_CODE_KIOSLAVES      "50004")
SET(AREA_CODE_SHOWFOTO       "50005")
SET(AREA_CODE_IMAGEPLUGINS   "50006")
SET(AREA_CODE_DATABASESERVER "50007")
ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

MACRO(SET_DEBUG_AREA_CODE _areacode)
    REMOVE_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
ENDMACRO(SET_DEBUG_AREA_CODE)

# =======================================================
# some useful macros for printing status information

SET(PRINT_COMPILE_LENGTH "40")
MACRO(FILL_WITH_DOTS VAR)

    STRING(LENGTH ${${VAR}} NAME_LENGTH)

    MATH(EXPR DOT_LENGTH "${PRINT_COMPILE_LENGTH} - ${NAME_LENGTH}")
    IF(${DOT_LENGTH} LESS 0)
        SET(DOT_LENGTH 0)
    ENDIF(${DOT_LENGTH} LESS 0)

    FOREACH(COUNT RANGE ${DOT_LENGTH})
        SET(${VAR} "${${VAR}}.")
    ENDFOREACH(COUNT)

ENDMACRO(FILL_WITH_DOTS)

MACRO(PRINT_LIBRARY_STATUS NAME WEBSITE VERSIONHINT)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME}. You need to install the ${NAME}${VERSIONHINT} library development package.")
        MESSAGE(STATUS " ${NAME} website is at ${WEBSITE}")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_LIBRARY_STATUS)

MACRO(PRINT_QTMODULE_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} module found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME} module. You need to install a package containing the ${NAME} module.")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_QTMODULE_STATUS)

MACRO(PRINT_EXECUTABLE_STATUS NAME TECHNICAL_NAME PATH_VARIABLE)

    SET(LIB_MESSAGE "${NAME} found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(STATUS " digiKam needs ${NAME}. You need to install the package containing the \"${TECHNICAL_NAME}\" executable.")
        MESSAGE(STATUS " If you have this executable installed, please specify the folder containing it by ${PATH_VARIABLE}")
        MESSAGE(SEND_ERROR "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_EXECUTABLE_STATUS)

# ==================================================================================================
# Dependencies

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

INCLUDE(FindPackageHandleStandardArgs)
SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

FIND_PACKAGE(LCMS)
FIND_PACKAGE(JPEG)
FIND_PACKAGE(PNG)
FIND_PACKAGE(TIFF)
FIND_PACKAGE(Jasper)
FIND_PACKAGE(Kdcraw)
FIND_PACKAGE(Kexiv2)
FIND_PACKAGE(Kipi)
FIND_PACKAGE(Kface)
FIND_PACKAGE(KGeoMap)
FIND_PACKAGE(PGF)
FIND_PACKAGE(CLAPACK)
FIND_PACKAGE(Boost) # 1.36.0)

IF(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF(Boost_FOUND)

#-------------------------------------------------------------------------------------

MACRO_BOOL_TO_01(PGF_FOUND USE_EXT_LIBPGF)

# NOTE: currently libpgf 6.11.24 do not support very well OpenMP. We disable it temporally.
# See B.K.O #273765 for details.
ADD_DEFINITIONS(-DLIBPGF_DISABLE_OPENMP)

# LibPGF need to be linked to OpenMP if necessary.
# OpenMP detection (requires CMake >= 2.6.3)
# NOTE: OpenMP under MacOSX do not support multithreading.

IF(NOT APPLE AND NOT USE_EXT_LIBPGF)
    MACRO_OPTIONAL_FIND_PACKAGE(OpenMP)

    IF(OPENMP_FOUND)
        # OpenMP defintions ${OpenMP_CXX_FLAGS} is set on right digiKam components through sub-cmake scripts.
        IF("${OpenMP_CXX_FLAGS}" STREQUAL "-fopenmp" )
            SET(OPENMP_LDFLAGS "-lgomp")
        ENDIF("${OpenMP_CXX_FLAGS}" STREQUAL "-fopenmp" )
        IF("${OpenMP_CXX_FLAGS}" STREQUAL "-xopenmp" )
            SET(OPENMP_LDFLAGS "-xopenmp")
        ENDIF("${OpenMP_CXX_FLAGS}" STREQUAL "-xopenmp" )
    ENDIF(OPENMP_FOUND)
ENDIF(NOT APPLE AND NOT USE_EXT_LIBPGF)

#-------------------------------------------------------------------------------------

IF(NOT APPLE)
    MACRO_BOOL_TO_01(CLAPACK_FOUND USE_EXT_LIBCLAPACK)
ELSE(NOT APPLE)
    # Under MACOS-X Clapack exist in standard, but it's not suitable as well. Need investiguation here.
    SET(CLAPACK_FOUND FALSE)
ENDIF(NOT APPLE)

#-------------------------------------------------------------------------------------

# check version of libjpeg so that we can use the appropriate dir
# See bug #227313
SET(_jpeglib_version_source "#include <stddef.h>\n#include<stdio.h>\n#include <jpeglib.h>\n int main()\n {\n #if (JPEG_LIB_VERSION >= 80) \n #error JPEG_LIB_VERSION >= 80 found \n #endif \n }\n")
SET(_jpeglib_version_source_file ${CMAKE_BINARY_DIR}/CMakeTmp/cmake_jpeglib_version_check.cpp)
FILE(WRITE "${_jpeglib_version_source_file}" "${_jpeglib_version_source}")
SET(_jpeglib_version_include_dirs "-DINCLUDE_DIRECTORIES:STRING=${JPEG_INCLUDE_DIR}")

TRY_COMPILE(_jpeglib_version_compile_result ${CMAKE_BINARY_DIR} ${_jpeglib_version_source_file}
            CMAKE_FLAGS "${_jpeglib_version_include_dirs}"
            COMPILE_OUTPUT_VARIABLE _jpeglib_version_compile_output_var)

IF(_jpeglib_version_compile_result)
    MESSAGE(STATUS "Identified libjpeg version: 62")
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-62)
ELSE(_jpeglib_version_compile_result)
    MESSAGE(STATUS "Identified libjpeg version: 80+")
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-80)
ENDIF(_jpeglib_version_compile_result)

#-------------------------------------------------------------------------------------

IF (ENABLE_INTERNALMYSQL)
# Check MySQL executables
    FIND_PROGRAM( SERVERCMD_MYSQL mysqld
                  PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/local/libexec
                        /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin ${MYSQLD_PATH}
                        ENV MYSQLD_PATH )
    MESSAGE(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

# NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
#       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"
    FIND_PROGRAM( INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
                  PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec
                        /opt/mysql/libexec /usr/mysql/bin /opt/mysql/bin ${MYSQL_TOOLS_PATH}
                       ENV MYSQL_TOOLS_PATH )
    MESSAGE(STATUS "Found MySQL install_db executable at: ${INITCMD_MYSQL}")
    SET(DATABASESERVERDIR "${CMAKE_CURRENT_SOURCE_DIR}/databaseserver")
ELSE (ENABLE_INTERNALMYSQL)
    SET(DATABASESERVERDIR "")
ENDIF (ENABLE_INTERNALMYSQL)
MACRO_BOOL_TO_01(ENABLE_INTERNALMYSQL HAVE_INTERNALMYSQL)

# check the libkdcraw version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
SET(KDCRAW_MIN_VERSION "2.0.0")
IF (KDCRAW_VERSION)
  MESSAGE(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
  IF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
    SET(KDCRAW_FOUND FALSE)
  ENDIF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
ELSE (KDCRAW_VERSION)
  MESSAGE(WARNING "libkdcraw: Version information not found, your version is probably too old.")
ENDIF (KDCRAW_VERSION)

# check the libkgeomap version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
IF (KGEOMAP_VERSION)
  MESSAGE(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION}")
  # TODO: fail if the version is too low
ENDIF (KGEOMAP_VERSION)

# ==================================================================================================
# Optional dependencies

MACRO_OPTIONAL_FIND_PACKAGE(Gphoto2)
MACRO_BOOL_TO_01(GPHOTO2_FOUND HAVE_GPHOTO2)

IF (NOT WIN32 AND HAVE_GPHOTO2)
    # See B.K.O #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    MACRO_OPTIONAL_FIND_PACKAGE(USB)
ENDIF (NOT WIN32 AND HAVE_GPHOTO2)

MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
MACRO_BOOL_TO_01(KDEPIMLIBS_FOUND HAVE_KDEPIMLIBS)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

# Check GLib2 library for lrqr-1 and lensfun libraries.
MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)
MACRO_BOOL_TO_01(GLIB2_FOUND HAVE_GLIB2)

# Check LensFun library for Lens auto-correction tool.
MACRO_OPTIONAL_FIND_PACKAGE(LensFun)
MACRO_BOOL_TO_01(LENSFUN_FOUND USE_EXT_LIBLENSFUN)

# Check Lqr-1 library for Contents Aware Resizer tool.
MACRO_OPTIONAL_FIND_PACKAGE(Lqr-1)
MACRO_BOOL_TO_01(LQR-1_FOUND USE_EXT_LIBLQR-1)

MACRO_BOOL_TO_01(ENABLE_SCRIPTIFACE USE_SCRIPT_IFACE)
MACRO_BOOL_TO_01(ENABLE_THUMBS_DB USE_THUMBS_DB)
MACRO_BOOL_TO_01(ENABLE_ADVANCEDDEBUGMSG USE_ADVANCEDDEBUGMSG)

# Win32 compilation with Nepomuk is broken. It's temporally disabled.
IF (ENABLE_NEPOMUKSUPPORT)
    IF (${KDE_VERSION} VERSION_GREATER "4.3.99")
        MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
        MACRO_LOG_FEATURE(NEPOMUK_FOUND "Nepomuk" "The Nepomuk libraries"
                "http://www.kde.org" FALSE "" "Nepomuk extends the search and tagging")

        MACRO_OPTIONAL_FIND_PACKAGE(SharedDesktopOntologies 0.2)
        MACRO_LOG_FEATURE(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies"
            "http://oscaf.sourceforge.net" TRUE "0.2" "Ontologies necessary for the Nepomuk semantic desktop.")

=== extra/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2010-12-11
# @brief  digiKam Software Collection
#
# @author Copyright (C) 2010 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(MacroOptionalAddSubdirectory)

IF (${DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS})
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libksane)
    ADD_SUBDIRECTORY(libkipi)
    ADD_SUBDIRECTORY(libkexiv2)
    ADD_SUBDIRECTORY(libkdcraw)
ENDIF()

ADD_SUBDIRECTORY(libkgeomap)
ADD_SUBDIRECTORY(libkface)
MACRO_OPTIONAL_ADD_SUBDIRECTORY(libmediawiki)
ADD_SUBDIRECTORY(kipi-plugins)
ADD_SUBDIRECTORY(libkvkontakte)

=== core/digikam/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/utils/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/utils/version.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/../data/database/dbconfigversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/database/dbconfigversion.h)

# Shared libdigikamcore ################################################################

IF(NOT CLAPACK_FOUND)
   # Disable Clapack C code warnings.
   SET_SOURCE_FILES_PROPERTIES(${libclapack_SRCS} PROPERTIES COMPILE_FLAGS "-w")
ENDIF(NOT CLAPACK_FOUND)

IF(NOT PGF_FOUND)
   # Disable libpgf warnings.
   SET_SOURCE_FILES_PROPERTIES(${libpgf_SRCS} PROPERTIES COMPILE_FLAGS "-w")
   IF(OPENMP_FOUND)
        SET_SOURCE_FILES_PROPERTIES(${libpgf_SRCS} PROPERTIES COMPILE_FLAGS ${OpenMP_CXX_FLAGS})
   ENDIF(OPENMP_FOUND)
ENDIF(NOT PGF_FOUND)

# Disable liblqr C code warnings.
SET_SOURCE_FILES_PROPERTIES(${liblqr_SRCS} PROPERTIES COMPILE_FLAGS "-w")

# Disable liblqr C code warnings.
SET_SOURCE_FILES_PROPERTIES(${liblensfun_SRCS} PROPERTIES COMPILE_FLAGS "-w")

SET(digikamcore_LIB_SRCS
        # basic libs
        ${libdimg_SRCS}
        ${libdimgloaders_SRCS}
        ${libdimgfilters_SRCS}
        ${libdmetadata_SRCS}
        ${libdatabasecore_SRCS}
        ${liblprof_SRCS}
        ${libjpegutils_SRCS}
        ${libthreadimageio_SRCS}
        ${libthememanager_SRCS}
        ${libpgf_SRCS}
        ${pgfutils_SRCS}
        ${libdigikamhelpers_SRCS}
        ${libtthread_SRCS}
        ${libversionmanager_SRCS}
        ${libkgeomaphelper_SRCS}
        ${libkmemoryinfo_SRCS}

        # widgets and dialogs
        ${libcommonwidgets_SRCS}
        ${libitemview_SRCS}
        ${libeditorwidgets_SRCS}
        ${libiccprofileswidgets_SRCS}
        ${libmetadatawidgets_SRCS}
        ${libdialogs_SRCS}
        ${libimageproperties_SRCS}
        ${libgraphicsviewwidgets_SRCS}
        ${libgenericmodels_SRCS}

        # utilities
        ${libslideshow_SRCS}
        ${libdimgcanvas_SRCS}
        ${libdimgeditorprintiface_SRCS}
        ${libdimgeditor_SRCS}
        ${librawimport_SRCS}
)

KDE4_ADD_UI_FILES(digikamcore_LIB_SRCS
                  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/printoptionspage.ui
                 )

KDE4_ADD_KCFG_FILES(digikamcore_LIB_SRCS
                    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/digikamconfig.kcfgc
                   )

KDE4_ADD_LIBRARY(digikamcore SHARED ${digikamcore_LIB_SRCS})

ADD_DEPENDENCIES(digikamcore digikam-gitversion)

TARGET_LINK_LIBRARIES(digikamcore
        ${QT_QT3SUPPORT_LIBRARY}
        ${QT_QTSQL_LIBRARY}

        ${KDE4_KDECORE_LIBS}
        ${KDE4_KIO_LIBS}
        ${KDE4_KFILE_LIBS}
        ${KDE4_KHTML_LIBS}
        ${KDE4_KNOTIFYCONFIG_LIBRARY}
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KUTILS_LIBS}
        ${KDE4_SOLID_LIBS}

        ${JPEG_LIBRARIES}
        ${TIFF_LIBRARIES}
        ${PNG_LIBRARIES}
        ${LCMS_LIBRARIES}
        ${JASPER_LIBRARIES}
        ${OPENMP_LDFLAGS}

        # Required by CImg library which is using pthread internally.
        ${CMAKE_THREAD_LIBS_INIT}

        ${KDCRAW_LIBRARIES}
        ${KEXIV2_LIBRARIES}
        ${KIPI_LIBRARIES}
        ${KFACE_LIBRARIES}
        ${KGEOMAP_LIBRARIES}
)

IF(USE_SCRIPT_IFACE)
    TARGET_LINK_LIBRARIES(digikamcore ${QT_QTSCRIPT_LIBRARY})
ENDIF(USE_SCRIPT_IFACE)

IF(PGF_FOUND)
    TARGET_LINK_LIBRARIES(digikamcore ${PGF_LIBRARIES})
ENDIF(PGF_FOUND)

IF(CLAPACK_FOUND)
    TARGET_LINK_LIBRARIES(digikamcore ${CLAPACK_LIBRARY})
ENDIF(CLAPACK_FOUND)

IF(Q_WS_X11)
    TARGET_LINK_LIBRARIES(digikamcore ${X11_LIBRARIES})
ENDIF(Q_WS_X11)

# For Contents Aware Resizer and Lens auto-correction tools.
IF(GLIB2_FOUND)
    TARGET_LINK_LIBRARIES(digikamcore ${GLIB2_LIBRARIES} ${liblqr_LIBS} ${liblensfun_LIBS})
ENDIF(GLIB2_FOUND)

SET_TARGET_PROPERTIES(digikamcore PROPERTIES VERSION 2.0.0 SOVERSION 2)
IF(WIN32)
    SET_TARGET_PROPERTIES(digikamcore PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
    SET_TARGET_PROPERTIES(digikamcore PROPERTIES OUTPUT_NAME digikamlib)
ENDIF(WIN32)
INSTALL(TARGETS digikamcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# Shared libdigikamdatabase ########################################################

# Disable libsqlite2 C code warnings plus specific flags.
IF(WIN32)
    SET_SOURCE_FILES_PROPERTIES(${libsqlite2_SRCS} PROPERTIES COMPILE_FLAGS "-w -D_OFF_T_ -D_OFF_T_DEFINED")
ELSE(WIN32)
    SET_SOURCE_FILES_PROPERTIES(${libsqlite2_SRCS} PROPERTIES COMPILE_FLAGS "-w")
ENDIF(WIN32)

## Disable libpgf warnings.
#SET_SOURCE_FILES_PROPERTIES(${libpgf_SRCS} PROPERTIES COMPILE_FLAGS "-w")

SET(digikamdatabase_LIB_SRCS
        ${libdatabase_SRCS}
        ${libhaar_SRCS}
        ${libdatabasemodels_SRCS}
        ${libsqlite2_SRCS}
        ${libpgf_SRCS}
        ${pgfutils_SRCS}
)

KDE4_ADD_LIBRARY(digikamdatabase SHARED ${digikamdatabase_LIB_SRCS})

TARGET_LINK_LIBRARIES(digikamdatabase
                      digikamcore
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTSQL_LIBRARY}

                      ${KDE4_KIO_LIBS}
                      ${KDE4_SOLID_LIBS}

                      ${KEXIV2_LIBRARIES}
                      ${KDCRAW_LIBRARIES}
                      ${KFACE_LIBRARIES}
                      ${KGEOMAP_LIBRARIES}

                      ${OPENMP_LDFLAGS}
                     )

IF(USE_SCRIPT_IFACE)
    TARGET_LINK_LIBRARIES(digikamdatabase ${QT_QTSCRIPT_LIBRARY})
ENDIF(USE_SCRIPT_IFACE)

IF(PGF_FOUND)
    TARGET_LINK_LIBRARIES(digikamdatabase ${PGF_LIBRARIES})
ENDIF(PGF_FOUND)

SET_TARGET_PROPERTIES(digikamdatabase PROPERTIES VERSION 2.0.0 SOVERSION 2)

INSTALL(TARGETS digikamdatabase ${INSTALL_TARGETS_DEFAULT_ARGS} )

# digiKam nepomuk services #########################################################

IF (NEPOMUK_FOUND)

    SET(digikamnepomukservices_SRCS ${libnepomukservices_SRCS} )

    INCLUDE(SopranoAddOntology)
    SOPRANO_ADD_ONTOLOGY(digikamnepomukservices_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig" "NIE" "Nepomuk::Vocabulary" "trig")
    SOPRANO_ADD_ONTOLOGY(digikamnepomukservices_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig" "NFO" "Nepomuk::Vocabulary" "trig")

    KDE4_ADD_PLUGIN(digikamnepomukservice ${digikamnepomukservices_SRCS})

    TARGET_LINK_LIBRARIES(digikamnepomukservice
                          ${QT_QTSQL_LIBRARY}

                          ${KDE4_KIO_LIBS}
                          ${KDE4_SOLID_LIBS}
                          ${KDE4_KDEUI_LIBS}

                          ${KIPI_LIBRARIES}
                          ${KEXIV2_LIBRARIES}
                          ${KDCRAW_LIBRARIES}
                          ${SOPRANO_CLIENT_LIBRARIES}
                          ${SOPRANO_LIBRARIES}
                          ${NEPOMUK_LIBRARIES}

                          digikamcore
                          digikamdatabase
                         )

    IF(USE_SCRIPT_IFACE)
        TARGET_LINK_LIBRARIES(digikamnepomukservice ${QT_QTSCRIPT_LIBRARY})
    ENDIF(USE_SCRIPT_IFACE)

    INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/nepomuk/digikamnepomukservice.desktop
            DESTINATION ${SERVICES_INSTALL_DIR})

    INSTALL(TARGETS digikamnepomukservice
            DESTINATION ${PLUGIN_INSTALL_DIR})

ENDIF (NEPOMUK_FOUND)

# digiKam binary progam #########################################################

SET(digikam_SRCS ${libdimgimagewindow_SRCS}
                 ${libdeletedialog_SRCS}
                 ${libimagepropertiesdigikam_SRCS}
                 ${libimageversionssidebar_SRCS}
                 ${libsetup_SRCS}
                 ${libcameragui_SRCS}
                 ${liblighttable_SRCS}
                 ${libbatch_SRCS}
                 ${libkipiiface_SRCS}
                 ${libsearchwindow_SRCS}
                 ${libfuzzysearch_SRCS}
                 ${libgpssearch_SRCS}
                 ${libkgeomaphelper_SRCS}
                 ${libqueuemanager_SRCS}
                 ${libalbummodels_SRCS}
                 ${libdigikamgui_SRCS}
                 ${libfirstrun_SRCS}
                 ${libtemplate_SRCS}
                 ${libdatabaseui_SRCS}
                 ${libfacedetection_SRCS}
                 main/main.cpp
)

IF(USE_SCRIPT_IFACE)
    SET(digikam_SRCS ${digikam_SRCS} ${libscriptiface_SRCS})
ENDIF(USE_SCRIPT_IFACE)

QT4_ADD_DBUS_ADAPTOR(digikam_SRCS main/org.kde.digikam.xml main/digikamapp.h Digikam::DigikamApp)

KDE4_ADD_APP_ICON(digikam_SRCS "../data/icons/apps/ox*-app-digikam.png")

KDE4_ADD_EXECUTABLE(digikam ${digikam_SRCS})

TARGET_LINK_LIBRARIES(digikam
        ${QT_QTSQL_LIBRARY}
        ${QT_QT3SUPPORT_LIBRARY}

        ${KDE4_KPARTS_LIBS}
        ${KDE4_PHONON_LIBS}
        ${KDE4_KHTML_LIBS}
        ${KDE4_KUTILS_LIBS}
        ${KDE4_KNOTIFYCONFIG_LIBRARY}
        ${KDE4_SOLID_LIBS}

        ${KFACE_LIBRARIES}
        ${KGEOMAP_LIBRARIES}
        ${KIPI_LIBRARIES}
        ${KEXIV2_LIBRARIES}
        ${KDCRAW_LIBRARIES}

        ${STRIGI_LIBRARIES}
        ${LCMS_LIBRARIES}

        digikamcore
        digikamdatabase
        advancedrename
        queuemanager
        cameragui

        # See B.K.O #258931: libgphoto2 library must be the last arg for linker.
        ${GPHOTO2_LIBRARIES}
)

IF (NOT WIN32 AND GPHOTO2_FOUND)
    # See B.K.O #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    TARGET_LINK_LIBRARIES(digikam ${LIBUSB_LIBRARIES})
ENDIF (NOT WIN32 AND GPHOTO2_FOUND)


IF(USE_SCRIPT_IFACE)
    TARGET_LINK_LIBRARIES(digikam ${QT_QTSCRIPT_LIBRARY})
ENDIF(USE_SCRIPT_IFACE)

IF(KDEPIMLIBS_FOUND)
  TARGET_LINK_LIBRARIES(digikam ${KDE4_KABC_LIBS})
ENDIF(KDEPIMLIBS_FOUND)

IF(CLAPACK_FOUND)
   TARGET_LINK_LIBRARIES(digikam ${CLAPACK_LIBRARY})
ENDIF(CLAPACK_FOUND)

INSTALL(TARGETS digikam ${INSTALL_TARGETS_DEFAULT_ARGS})

# Others Files to install #######################################################

INSTALL(PROGRAMS main/digikam.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES main/digikamui.rc DESTINATION ${DATA_INSTALL_DIR}/digikam)
INSTALL(FILES main/digikam.notifyrc DESTINATION ${DATA_INSTALL_DIR}/digikam)

=== core/showfoto/CMakeLists.txt ===
SET_DEBUG_AREA_CODE(${AREA_CODE_SHOWFOTO})

# We need to include the setup dir for showfoto BEFORE the other include dirs,
# otherwise the one from the "utilities" dir will be used
INCLUDE_DIRECTORIES(BEFORE
        ${CMAKE_CURRENT_SOURCE_DIR}/setup
        ${CMAKE_CURRENT_SOURCE_DIR}/main
)

#Require by Greycstoration algorithm (CImg.h)
IF(NOT MSVC)
    ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})
ENDIF(NOT MSVC)

SET(showfoto_SRCS
    ${libsetupshowfoto_SRCS}
    ${libshowfotosetup_SRCS}

    main/main.cpp
    main/showfoto.cpp
   )

KDE4_ADD_APP_ICON(showfoto_SRCS "../data/icons/apps/ox*-app-showfoto.png")

KDE4_ADD_EXECUTABLE(showfoto ${showfoto_SRCS})

IF(CLAPACK_FOUND)
   TARGET_LINK_LIBRARIES(showfoto ${CLAPACK_LIBRARY})
ENDIF(CLAPACK_FOUND)

TARGET_LINK_LIBRARIES(showfoto
                      digikamcore
                      ${KEXIV2_LIBRARIES}
                      ${KDCRAW_LIBRARIES}
                      ${KGEOMAP_LIBRARIES}
                      ${KDE4_KIO_LIBS}
                      ${LCMS_LIBRARIES}
                      ${QT_QT3SUPPORT_LIBRARY}
                     )

INSTALL(TARGETS showfoto ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(PROGRAMS main/showfoto.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
INSTALL(FILES main/showfotoui.rc DESTINATION ${DATA_INSTALL_DIR}/showfoto )

=== extra/kipi-plugins/CMakeLists.txt ===
PROJECT(kipi-plugins)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: kipi-plugins")

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
SET(KIPIPLUGINS_MAJOR_VERSION "2")
SET(KIPIPLUGINS_MINOR_VERSION "3")
SET(KIPIPLUGINS_PATCH_VERSION "0")

# kipi-plugins release date
SET (KIPIPLUGINS_RELEASE_DATE "2011-11-06")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

SET(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
   )

# =======================================================
# some useful macros for printing status information

SET(PRINT_COMPILE_LENGTH "40")
MACRO(FILL_WITH_DOTS VAR)

    STRING(LENGTH ${${VAR}} NAME_LENGTH)

    MATH(EXPR DOT_LENGTH "${PRINT_COMPILE_LENGTH} - ${NAME_LENGTH}")
    IF(${DOT_LENGTH} LESS 0)
        SET(DOT_LENGTH 0)
    ENDIF(${DOT_LENGTH} LESS 0)

    FOREACH(COUNT RANGE ${DOT_LENGTH})
        SET(${VAR} "${${VAR}}.")
    ENDFOREACH(COUNT)

ENDMACRO(FILL_WITH_DOTS)

MACRO(PRINT_PLUGIN_COMPILE_STATUS NAME)

    SET(COMPILE_MESSAGE "${NAME} will be compiled")
    FILL_WITH_DOTS(COMPILE_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${COMPILE_MESSAGE} YES (optional)")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${COMPILE_MESSAGE} NO  (optional - Look README file for more details about dependencies)")
    ENDIF(${ARGN})

ENDMACRO(PRINT_PLUGIN_COMPILE_STATUS)

MACRO(PRINT_OPTIONAL_LIBRARY_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES (optional)")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO  (optional)")
    ENDIF(${ARGN})

ENDMACRO(PRINT_OPTIONAL_LIBRARY_STATUS)

MACRO(PRINT_LIBRARY_STATUS NAME WEBSITE VERSIONHINT)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " kipi-plugins needs ${NAME}. You need to install the ${NAME}${VERSIONHINT} library development package.")
        MESSAGE(STATUS " ${NAME} website is at ${WEBSITE}")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_LIBRARY_STATUS)

MACRO(PRINT_OPTIONAL_QTMODULE_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} module found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
    ENDIF(${ARGN})

ENDMACRO(PRINT_OPTIONAL_QTMODULE_STATUS)

# =======================================================

FIND_PACKAGE(KDE4 REQUIRED)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

# Depencies detection required by all plugins
FIND_PACKAGE(Kexiv2 REQUIRED)
FIND_PACKAGE(Kdcraw REQUIRED)
FIND_PACKAGE(Kipi REQUIRED)
FIND_PACKAGE(JPEG REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(TIFF REQUIRED)

# check the libkdcraw version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
SET(KDCRAW_MIN_VERSION "1.1.0")
IF (KDCRAW_VERSION)
  MESSAGE(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
  IF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
    SET(KDCRAW_FOUND FALSE)
  ENDIF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
ELSE (KDCRAW_VERSION)
  MESSAGE(WARNING "libkdcraw: Version information not found, your version is probably too old.")
ENDIF (KDCRAW_VERSION)

# Optional depencies detection required by some plugins

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

MACRO_OPTIONAL_FIND_PACKAGE(EXPAT)         # For DNGConverter: XMP SDK need Expat library to compile.
MACRO_OPTIONAL_FIND_PACKAGE(Threads)       # For DNGConverter: DNG SDK need native threads support.
MACRO_OPTIONAL_FIND_PACKAGE(LibXml2)       # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(LibXslt)       # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)        # For AdvancedSlideshow and ImageViewer.
MACRO_OPTIONAL_FIND_PACKAGE(Ipod)          # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(Gdk)           # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)         # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GObject)       # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)    # For Calendar (libkcal).
MACRO_OPTIONAL_FIND_PACKAGE(QCA2)          # For Shwup and YandexFotki.
MACRO_OPTIONAL_FIND_PACKAGE(KSane)         # For AcquireImages.
MACRO_OPTIONAL_FIND_PACKAGE(OpenCV)        # For RemoveRedEyes.
MACRO_OPTIONAL_FIND_PACKAGE(QJSON)         # For Debian Screenshots and Facebook.
MACRO_OPTIONAL_FIND_PACKAGE(KGeoMap)       # For GPSSync.
MACRO_OPTIONAL_FIND_PACKAGE(Mediawiki)     # For Mediawiki.
MACRO_OPTIONAL_FIND_PACKAGE(LibKVkontakte) # For VKontakte.

# check the libkgeomap version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
IF (KGEOMAP_VERSION)
  MESSAGE(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION}")
  # TODO: fail if the version is too low
ENDIF (KGEOMAP_VERSION)

# X11 check, LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    MACRO_OPTIONAL_FIND_PACKAGE(X11)   # For AdvancedSlideshow and ImageViewer.
ENDIF(NOT WIN32 AND NOT APPLE)

# SPECIAL OPENCV HANDLING

# there are two versions of FindOpenCV.cmake in the wild, one defining
# OpenCV_LIBRARIES, the other defining OpenCV_LIBS. Make sure we handle
# both cases.
IF (NOT OpenCV_LIBRARIES)
  SET(OpenCV_LIBRARIES ${OpenCV_LIBS})
ENDIF (NOT OpenCV_LIBRARIES)

# same story with OpenCV_INCLUDE_DIRS and OpenCV_INCLUDE_DIR:
IF (NOT OpenCV_INCLUDE_DIRS)
  SET(OpenCV_INCLUDE_DIRS ${OpenCV_INCLUDE_DIR})
ENDIF (NOT OpenCV_INCLUDE_DIRS)

IF (OpenCV_LIBRARIES AND OpenCV_INCLUDE_DIRS)
  SET (OpenCV_FOUND TRUE)
ENDIF (OpenCV_LIBRARIES AND OpenCV_INCLUDE_DIRS)

# OpenMP detection requires CMake >= 2.6.3

EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} --version OUTPUT_VARIABLE VERSION_CMAKE_INFO)
MESSAGE(STATUS "CMake version: ${VERSION_CMAKE_INFO}")
STRING(REPLACE "-patch " "." VERSION_CMAKE_INFO "${VERSION_CMAKE_INFO}")
MESSAGE(STATUS "CMake version (cleaned): ${VERSION_CMAKE_INFO}")
MACRO_ENSURE_VERSION("2.6.3" "${VERSION_CMAKE_INFO}" OPENMP_VERSION_CMAKE)

IF(OPENMP_VERSION_CMAKE AND NOT APPLE)
    MACRO_OPTIONAL_FIND_PACKAGE(OpenMP)
ELSE(OPENMP_VERSION_CMAKE AND NOT APPLE)
    MESSAGE(STATUS "CMake version is too old: cannot detected OpenMP. Some plugins may have a weaker performance without OpenMP.")
ENDIF(OPENMP_VERSION_CMAKE AND NOT APPLE)

INCLUDE(MacroOptionalDependPackage)

# ==================================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS " kipi-plugins ${KIPIPLUGINS_VERSION_STRING} dependencies results   <http://www.kipi-plugins.org>")
MESSAGE(STATUS "")

# Require shared libraries results.

PRINT_LIBRARY_STATUS("libjpeg" "http://www.ijg.org" "" JPEG_FOUND)
PRINT_LIBRARY_STATUS("libtiff" "http://www.remotesensing.org/libtiff" "" TIFF_FOUND)
PRINT_LIBRARY_STATUS("libpng" "http://www.libpng.org/pub/png/libpng.html" " (version >= 1.2.7)" PNG_FOUND)
PRINT_LIBRARY_STATUS("libkipi" "http://www.digikam.org/sharedlibs" " (version >= 1.2.0)" KIPI_FOUND)
PRINT_LIBRARY_STATUS("libkexiv2" "http://www.digikam.org/sharedlibs" " (version >= 1.2.0)" KEXIV2_FOUND)
PRINT_LIBRARY_STATUS("libkdcraw" "http://www.digikam.org/sharedlibs" " (version >= ${KDCRAW_MIN_VERSION})" KDCRAW_FOUND)

# Optional shared libraries results.

PRINT_OPTIONAL_LIBRARY_STATUS("libxml2" LIBXML2_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libxslt" LIBXSLT_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libexpat" EXPAT_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("native threads support" CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)
PRINT_OPTIONAL_LIBRARY_STATUS("libopengl" OPENGL_FOUND AND OPENGL_GLU_FOUND)
PRINT_OPTIONAL_QTMODULE_STATUS("Qt4 OpenGL" QT_QTOPENGL_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libopencv" OpenCV_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("QJson" QJSON_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libgpod" IPOD_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("Gdk" GDK_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkdepim" KDEPIMLIBS_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("qca2" QCA2_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkgeomap" KGEOMAP_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libmediawiki" MEDIAWIKI_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkvkontakte" LIBKVKONTAKTE_FOUND)

IF(OPENMP_VERSION_CMAKE)
    PRINT_OPTIONAL_LIBRARY_STATUS("OpenMP" OPENMP_FOUND)
ENDIF(OPENMP_VERSION_CMAKE)

# LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    PRINT_OPTIONAL_LIBRARY_STATUS("libX11" X11_FOUND AND X11_Xrandr_FOUND)
ENDIF(NOT WIN32 AND NOT APPLE)

PRINT_OPTIONAL_LIBRARY_STATUS("libksane" KSANE_FOUND)

# Optional plugins results ----------------------------------------------------------------------------

MESSAGE(STATUS "")

IF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    SET(KIPI_COMPILE_MESSAGE "kipi-plugins will be compiled")
    FILL_WITH_DOTS(KIPI_COMPILE_MESSAGE)
    MESSAGE(STATUS " ${KIPI_COMPILE_MESSAGE} YES")
    SET(KIPIPLUGINS_CAN_BE_COMPILED true)
ELSE(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    MESSAGE(FATAL_ERROR " kipi-plugins will not be compiled! Look README file for more details about dependencies...")
    SET(KIPIPLUGINS_CAN_BE_COMPILED false)
ENDIF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)

PRINT_PLUGIN_COMPILE_STATUS("Shwup" QCA2_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("YandexFotki" QCA2_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("HtmlExport" LIBXML2_FOUND AND LIBXSLT_FOUND)

# decide if AdvancedSlideshow and ImageViewer can be built
IF(NOT WIN32 AND NOT APPLE)
    IF (X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS TRUE)
    ELSE (X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS FALSE)
    ENDIF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
ELSE(NOT WIN32 AND NOT APPLE)
    IF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS TRUE)
    ELSEIF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS FALSE)
    ENDIF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
ENDIF(NOT WIN32 AND NOT APPLE)

PRINT_PLUGIN_COMPILE_STATUS("AdvancedSlideshow" BUILD_VIEWERS)
PRINT_PLUGIN_COMPILE_STATUS("ImageViewer" BUILD_VIEWERS)

PRINT_PLUGIN_COMPILE_STATUS("AcquireImages" KSANE_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("DNGConverter" EXPAT_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("RemoveRedEyes" OpenCV_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("Debian Screenshots" QJSON_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("Facebook" QJSON_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("VKontakte" LIBKVKONTAKTE_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("IpodExport" IPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)

=== extra/libkvkontakte/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)
project(kvkontakte)

# the version number, needed for
# - the library version
# - version detection by cmake
set(LIBKVKONTAKTE_VERSION_MAJOR 1)
set(LIBKVKONTAKTE_VERSION_MINOR 0)
set(LIBKVKONTAKTE_VERSION_PATCH 0)
set(LIBKVKONTAKTE_VERSION ${LIBKVKONTAKTE_VERSION_MAJOR}.${LIBKVKONTAKTE_VERSION_MINOR}.${LIBKVKONTAKTE_VERSION_PATCH} )
# TODO: calculate the version id properly (here is currently a hack that won't work for 1.10.0):
set(LIBKVKONTAKTE_VERSION_ID "0x0${LIBKVKONTAKTE_VERSION_MAJOR}0${LIBKVKONTAKTE_VERSION_MINOR}0${LIBKVKONTAKTE_VERSION_PATCH}")

if(NOT LIB_INSTALL_DIR)
	set(LIB_INSTALL_DIR lib${LIB_SUFFIX})
endif(NOT LIB_INSTALL_DIR)
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/LibKVkontakte )

# Use a versioned install directory for the headers so multiple versions can be installed in parallel
set(INCLUDE_INSTALL_DIR include )


# === Closer to the code, close to the body ===
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(QJSON_VERSION_REQUIRED 0.7)
find_package(QJSON ${QJSON_VERSION_REQUIRED})
macro_log_feature(QJSON_FOUND "QJSON" "Qt library for handling JSON data" "http://qjson.sourceforge.net/" TRUE "${QJSON_VERSION_REQUIRED}")

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES}
  ${QJSON_INCLUDE_DIR}
)

add_subdirectory(libkvkontakte)
# === ------------------------------------- ===

# This "exports" all targets which have been put into the export set "LibKVkontakteExport".
# This means that cmake generates a file with the given filename, which can later on be loaded
# by projects using this package.
# This file contains add_library(bar IMPORTED) statements for each target in the export set, so
# when loaded later on cmake will create "imported" library targets from these, which can be used
# in many ways in the same way as a normal library target created via a normal add_library().
install(EXPORT LibKVkontakteExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibKVkontakteTargets.cmake )

# figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into the LibKVkontakteConfig.cmake
file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

# Create a LibKVkontakteConfig.cmake file. <name>Config.cmake files are searched by find_package()
# automatically. We configure that file so that we can put any information we want in it,
# e.g. version numbers, include directories, etc.
configure_file(LibKVkontakteConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibKVkontakteConfig.cmake @ONLY )

# Additionally, when cmake has found a LibKVkontakteConfig.cmake, it can check for a LibKVkontakteConfigVersion.cmake
# in the same directory when figuring out the version of the package when a version
# has been specified in the find_package() call, e.g. find_package(LibKVkontakte 1.0)
configure_file(LibKVkontakteConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibKVkontakteConfigVersion.cmake @ONLY )

# Install these two files into the same directory as the generated exports-file.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibKVkontakteConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/LibKVkontakteConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )


macro_display_feature_log()

=== po/nso/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( nso ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/tt/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( tt ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== core/data/about/CMakeLists.txt ===

INSTALL(FILES main.html
              top-left-digikam.png
              digikam.css

        DESTINATION ${DATA_INSTALL_DIR}/digikam/about )

=== core/imageplugins/color/CMakeLists.txt ===

SET(digikamimageplugin_color_PART_SRCS autocorrectiontool.cpp
                                       bcgtool.cpp
                                       bwsepiatool.cpp
                                       profileconversiontool.cpp
                                       cbtool.cpp
                                       whitebalancetool.cpp
                                       hsltool.cpp
                                       channelmixertool.cpp
                                       adjustcurvestool.cpp
                                       adjustlevelstool.cpp
                                       imageplugin_color.cpp
   )


KDE4_ADD_PLUGIN(digikamimageplugin_color ${digikamimageplugin_color_PART_SRCS})

TARGET_LINK_LIBRARIES(
    digikamimageplugin_color
    digikamcore
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDCRAW_LIBRARIES}
    ${KEXIV2_LIBRARIES}
    ${QT_QT3SUPPORT_LIBRARY}
    )

INSTALL(TARGETS digikamimageplugin_color DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES digikamimageplugin_color_ui.rc DESTINATION ${DATA_INSTALL_DIR}/digikam)
INSTALL(FILES digikamimageplugin_color.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== core/utilities/hotplug/CMakeLists.txt ===
SET(digikamhelperdir  ${DATA_INSTALL_DIR}/digikam/utils)

#configure_file(digikam-download.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/digikam-download.desktop @ONLY)
#configure_file(digikam-gphoto2-camera.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/digikam-gphoto2-camera.desktop @ONLY)
#configure_file(digikam-mount-and-download.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/digikam-mount-and-download.desktop @ONLY)

CONFIGURE_FILE(digikam-opencamera.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/digikam-opencamera.desktop @ONLY)

#INSTALL( FILES
#	${CMAKE_CURRENT_BINARY_DIR}/digikam-download.desktop
#	${CMAKE_CURRENT_BINARY_DIR}/digikam-gphoto2-camera.desktop
#	${CMAKE_CURRENT_BINARY_DIR}/digikam-mount-and-download.desktop
#	DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/digikam-opencamera.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions )

IF(NOT WIN32)
  INSTALL( PROGRAMS digikam-camera DESTINATION ${digikamhelperdir} )
ENDIF(NOT WIN32)

=== debian/changelog ===
digikam (4:2.3.0-1) experimental; urgency=low

  * New upstream release
  * Build with KDE SC 4.7 from experimental (epoc 4:)
  * Fix override disparities: digikam-doc Section: doc
  * Fix: binary-control-field-duplicates-source
  * Update Description: fixes: extended-description-line-too-long

 -- Mark Purcell <msp@debian.org>  Wed, 07 Dec 2011 21:29:39 +1100

digikam (2:2.2.0-2) experimental; urgency=low

  * Fix override disparties: Section: doc & kde
  * Add Build-Depends: libqtwebkit-dev
    - Fixes "FTBFS: /usr/include/KDE/../kwebview.h:31:29: fatal error:
    QtWebKit/QWebView: No such file or directory" (Closes: #644702)
  * Fix "Typos in package description" Patch from Erik (Closes: #644721)
  * Fix "bashism in /bin/sh script" Patch from Philipp (Closes: #581078)
  * Update debian/copyright - fixes copyright-refers-to-symlink-license
  * debian/control minor edits - fixes  using-first-person-in-
    description &  extended-description-is-probably-too-short
  * Fix "Possibly FTBFS: should use lowercase while looking for qjson"
    Upstream resolved in 2.2.0 (Closes: #641129)

 -- Mark Purcell <msp@debian.org>  Sun, 23 Oct 2011 11:14:11 +1100

=== debian/control ===
Source: digikam
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8), pkg-kde-tools (>= 0.9), pkg-config, cmake (>= 2.6.2), autotools-dev, chrpath,
 doxygen,
 kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
 libmarble-dev (>= 4:4.7),
 libkipi-dev (>= 4:4.7), libkexiv2-dev (>= 4:4.7), libkdcraw-dev (>= 4:4.7), libksane-dev (>= 4:4.7),
 libqt4-dev, libqt4-opengl-dev, libgl1-mesa-dev, libglu1-mesa-dev,
 libqtwebkit-dev,
 libgphoto2-2-dev,
 libgtk2.0-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libgpod-nogtk-dev,
 libqca2-dev,
 libqjson-dev,
 libltdl3-dev, libpng-dev, libtiff4-dev, libjpeg-dev,
 libsane-dev,
 shared-desktop-ontologies,
 mysql-server-5.1 | mysql-server,
 libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
 liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
 libcv-dev (>= 2.2), libcvaux-dev (>= 2.2), libopencv-contrib-dev (>= 2.2), libopencv-gpu-dev (>= 2.2),
 libjasper-dev,
 liblensfun-dev,
 libexiv2-dev (>= 0.21),
 libsqlite3-dev,
 libboost-graph-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
Homepage: http://www.digikam.org

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins, mplayerthumbs
Suggests: digikam-doc
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions. 
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam. 
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual) 
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow. 
 .
 New Features of the KDE4 version:
  Runs on any platform that supports Qt4 and KDE4
  Supports XMP metadata
  Reads, writes and converts into DNG format
  New RAW processing tool, gamma-correction in 16 bits
  Preview of video and audio files
  Database file is independent of photo libraries, enabling remote paths,
   multiple roots and offline archives
  Improved database with many more metadata that can be searched
  Marble integration, geographical filtering with the mouse on the map
  New search finds duplicates and similar images
  Help menu lists all RAW formats and digiKam component versions
  DNG, RWL, NEF and PEF RAW file can be metadata edited
  Usability improvements for netbooks
  Non-modal image editor
  Thumbnail bar in preview mode
  Live search boxes in both sidebars and main window
  New camera interface, capture tool, scanner interface
  New plugin based on lensfun for automatic lens error corrections
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extensions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
Recommends: dolphin, kipi-plugins
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
Priority: extra
Description: debugging symbols for digiKam
 The debugging symbols associated with digiKam and showFoto. They will
 automatically be used by GDB for debugging digiKam-related issues.
 .
 This package should be installed if you wish to obtain a backtrace with 
 symbols.

Package: digikam-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.

Package: digikam-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter4
Recommends: digikam
Section: doc
Description: handbook for digiKam and showFoto in several languages
 digiKam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digiKam, showFoto and
 kipi-plugins from the digikam package.

Package: kipi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version})
Recommends: graphicsmagick-imagemagick-compat (>= 1.1.7) | imagemagick (>= 5.4.8), konqueror, hugin, enblend, enfuse
Suggests: gallery, gimp, kmail, vorbis-tools
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to/from a remote Facebook
  FlickrExport       : export images to a remote Flickr based web service
  GalleryExport      : export images to a remote Gallery (and Gallery 2)
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML page
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  RemoveRedEyes      : remove red eyes on image automatically
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to/from a remote SmugMug
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo 
  DebianScreenshots  : export images to Debian Screenshots web service
  Kopete             : export images to an instant messaging contact
  YandexFotki        : export images to Yandex web service
  MediaWiki          : export images to Mediawiki based web service
  RajceExport        : export images to Rajce web service
  Vkontakte          : export images to VKontakte web service
  PhotoLayoutEditor  : assemble images together
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs core/ChangeLog 

override_dh_install:
	dh_install -Xoxygen --fail-missing

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg

	# fix binary-or-shlib-defines-rpath
	chrpath -d debian/digikam/usr/lib/kde4/*.so debian/digikam/usr/lib/*.so.*
